summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xbin/schroot-create.sh16
1 files changed, 10 insertions, 6 deletions
diff --git a/bin/schroot-create.sh b/bin/schroot-create.sh
index 30292e9d..181b3972 100755
--- a/bin/schroot-create.sh
+++ b/bin/schroot-create.sh
@@ -60,12 +60,16 @@ export CURDIR=$(pwd)
bootstrap() {
sudo debootstrap $DISTRO $CHROOT_TARGET $MIRROR
- echo -e '#!/bin/sh\nexit 101' | sudo tee $CHROOT_TARGET/usr/sbin/policy-rc.d >/dev/null
- sudo chmod +x $CHROOT_TARGET/usr/sbin/policy-rc.d
- echo 'Acquire::http::Proxy "$http_proxy";' | sudo tee $CHROOT_TARGET/etc/apt/apt.conf.d/80proxy >/dev/null
- echo "deb-src $MIRROR $DISTRO main" | sudo tee -a $CHROOT_TARGET/etc/apt/sources.list > /dev/null
- echo "${BACKPORTS}" | sudo tee -a $CHROOT_TARGET/etc/apt/sources.list >/dev/null
- echo "${BACKPORTSSRC}" | sudo tee -a $CHROOT_TARGET/etc/apt/sources.list >/dev/null
+ sudo -s <<-EOF
+ set -e
+ set -x
+ echo -e '#!/bin/sh\nexit 101' > $CHROOT_TARGET/usr/sbin/policy-rc.d
+ chmod +x $CHROOT_TARGET/usr/sbin/policy-rc.d
+ echo 'Acquire::http::Proxy "$http_proxy";' > $CHROOT_TARGET/etc/apt/apt.conf.d/80proxy
+ echo "deb-src $MIRROR $DISTRO main" >> $CHROOT_TARGET/etc/apt/sources.list
+ echo "${BACKPORTS}" >> $CHROOT_TARGET/etc/apt/sources.list
+ echo "${BACKPORTSSRC}" >> $CHROOT_TARGET/etc/apt/sources.list
+ EOF
}
cleanup() {